Package: org.apache.groovy.groovysh.jline

## [Java] Class SystemRegistryImpl.CommandData

- org.apache.groovy.groovysh.jline.SystemRegistryImpl.CommandData

-     protected static class SystemRegistryImpl.CommandData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandData(ArgsParser parser, boolean statement, String rawLine, String variable, File file, boolean append, String pipe)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `append()`
    `` | `public String[]` | `args()`
    `` | `public String` | `command()`
    `` | `public File` | `file()`
    `` | `public String` | `pipe()`
    `` | `public String` | `rawLine()`
    `` | `public void` | `setPipe(String pipe)`
    `` | `public String` | `toString()`
    `` | `public String` | `variable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public CommandData(ArgsParser parser, boolean statement, String rawLine, String variable, File file, boolean append, String pipe)

  - ### Method Detail

    - #### public boolean append()

    - #### public String[] args()

    - #### public String command()

    - #### public File file()

    - #### public String pipe()

    - #### public String rawLine()

    - #### public void setPipe(String pipe)

    - #### @Override
      public String toString()

    - #### public String variable()